%define python python2
%define pyver %(%{__python} -c "import sys; print sys.version[:3]")

# libzvt is in Extras but not Core
%define buildzvt 0

Summary: The sources for the PyGNOME Python extension module.
Name: gnome-python2
Version: 2.10.0
Release: 1 
Source: ftp://ftp.gnome.org/pub/GNOME/stable/sources/gnome-python/gnome-python-%{version}.tar.bz2
Patch1: gnome-python-1.99.11-client-command.patch

License: LGPL
Group: Development/Languages
BuildRoot: %{_tmppath}/gnome-python-root
Requires: gnome-python2-bonobo
Requires: python-abi = %{pyver}
Requires: gnome-python2-gnomevfs
BuildRequires: pygtk2-devel >= 2.4.0
BuildRequires: %{python}-devel >= 2.3.0
BuildRequires: pyorbit-devel >= 2.0.1
BuildRequires: libbonoboui-devel >= 2.0.0

%if %{buildzvt}
BuildRequires: libzvt-devel >= 2.0.0
%endif
# needed for automake/autoconf to work right with multilib python
BuildRequires: automake >= 1.6.3-5, libtool, autoconf

# nautilus views are going away
Obsoletes: gnome-python2-nautilus

%description
The gnome-python package contains the source packages for the Python
bindings for GNOME called PyGNOME.

PyGNOME is an extension module for Python that provides access to the
base GNOME libraries, so you have access to more widgets, a simple
configuration interface, and metadata support.

%package capplet
Requires: %{name} = %{version}-%{release}
Summary: Python bindings for GNOME Panel applets.
Group: Development/Languages

%description capplet
This module contains a wrapper that allows GNOME Control Center
capplets to be in Python.

%package canvas
Requires: %{name} = %{version}-%{release}
Summary: Python bindings for the GNOME Canvas.
Group: Development/Languages
Requires: libgnomecanvas >= 2.0.0
Requires: gtk2 >= 2.0.0
Requires: pygtk2 >= 2.0.0

%description canvas
This module contains a wrapper that allows use of the GNOME Canvas
in Python.

%package zvt
Requires: %{name} = %{version}-%{release}
Summary: Python bindings for the ZVT terminal widget.
Group: Development/Languages
Requires: libgnomecanvas >= 2.0.0
Requires: gtk2 >= 2.0.0
Requires: pygtk2 >= 2.0.0
Requires: libzvt >= 2.0.0

%description zvt
This module contains a wrapper that allows use of the ZVT terminal
widget in Python.

%package bonobo
Requires: %{name} = %{version}-%{release}
Summary: Python bindings for interacting with bonobo.
Group: Development/Languages
Requires: pyorbit >= 2.0.l
Requires: bonobo-activation >= 1.0.0
Requires: libbonobo >= 2.0.0
Requires: libbonoboui >= 2.0.0

%description bonobo
This module contains a wrapper that allows the creation of bonobo
components and the embedding of bonobo components in Python.

%package gconf
Requires: %{name} = %{version}-%{release}
Summary: Python bindings for interacting with GConf
Group: Development/Languages
Requires: GConf2 >= 1.1.10

%description gconf
This module contains a wrapper that allows the use of GConf via Python.

%package gnomevfs
Requires: %{name} = %{version}-%{release}
Summary: Python bindings for interacting with gnome-vfs
Group: Development/Languages
Requires: gnome-vfs2 >= 2.0.2

%description gnomevfs
This module contains a wrapper that allows the use of gnome-vfs via python.

%prep
%setup -q -n gnome-python-%{version}
%patch1 -p1 -b .client-command

%build
%configure
make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall
find $RPM_BUILD_ROOT -name '*.la' -exec rm {} \;

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog NEWS
%dir %{_libdir}/python?.?/site-packages/gtk-2.0/gnome/
%{_libdir}/python?.?/site-packages/gtk-2.0/gnome/__init__.*
%{_libdir}/python?.?/site-packages/gtk-2.0/gnome/_gnome.so
%{_libdir}/python?.?/site-packages/gtk-2.0/gnome/ui.so
%dir %{_libdir}/pkgconfig
%{_libdir}/pkgconfig/gnome-python-2.0.pc
%{_datadir}/pygtk/

%files canvas
%defattr(-,root,root,-)
%dir %{_libdir}/python?.?/site-packages/gtk-2.0/gnome/
%{_libdir}/python?.?/site-packages/gtk-2.0/gnome/__init__.*
%{_libdir}/python?.?/site-packages/gtk-2.0/gnome/canvas.*
%{_libdir}/python?.?/site-packages/gtk-2.0/gnomecanvas.so
%defattr(644,root,root,755)
%doc examples/canvas/*

%if %{buildzvt}
%files zvt
%defattr(-,root,root,-)
%dir %{_libdir}/python?.?/site-packages/gtk-2.0/gnome/
%{_libdir}/python?.?/site-packages/gtk-2.0/gnome/__init__.*
%{_libdir}/python?.?/site-packages/gtk-2.0/zvt.so
%defattr(644,root,root,755)
%endif

%files bonobo
%defattr(-,root,root,-)
%dir %{_libdir}/python?.?/site-packages/gtk-2.0/bonobo/
%{_libdir}/python?.?/site-packages/gtk-2.0/bonobo/__init__.*
%{_libdir}/python?.?/site-packages/gtk-2.0/bonobo/*.so
%defattr(644,root,root,755)
%doc examples/bonobo/*

%files gconf
%defattr(-,root,root,-)
%{_libdir}/python?.?/site-packages/gtk-2.0/gconf.so
%defattr(644,root,root,755)
%doc examples/gconf/*

%files gnomevfs
%defattr(-,root,root,-)
%{_libdir}/python?.?/site-packages/gtk-2.0/gnome/vfs.*
%{_libdir}/python?.?/site-packages/gtk-2.0/gnomevfs.so
%defattr(644,root,root,755)
%doc examples/vfs/*

# old versions did not have .pyc and .pyo files in their file list
# remove them now, or bad things will now happen because of the new
# paths.  This trigger must remain until upgrading from RHL 8.0 is no 
# longer supported.
%triggerun bonobo -- gnome-python2-bonobo < 1.99.14-5
rm -f /usr/lib/python2.2/site-packages/bonobo/__init__.{pyc,pyo}

%changelog
* Fri Mar  11 2005 John (J5) Palmieri <johnp@redhat.com> - 2.10.0
- update to 2.10.0
- add a Requires line for gnome-python2-gnomevfs

* Mon Mar  7 2005 Jeremy Katz <katzj@redhat.com> - 2.9.5-1
- update to 2.9.5

* Mon Feb  7 2005 Matthias Clasen <mclasen@redhat.com> - 2.9.4-2
- Remove unnecessary BuildRequires

* Mon Feb  7 2005 Matthias Clasen <mclasen@redhat.com> - 2.9.4-1
- Update to 2.9.4
- Move some subpackages to gnome-python2-extra
- Obsolete gnome-python2-nautilus 

* Wed Jan 19 2005 Mark McLoughlin <markmc@redhat.com> - 2.6.0-5
- Backport wrapping for GConfEngine from upstream CVS

* Sun Nov  7 2004 Jeremy Katz <katzj@redhat.com> - 2.6.0-4
- rebuild against python 2.4

* Sun Oct 10 2004 Warren Togami <wtogami@redhat.com> - 2.6.0-3 
- #111008 fixes
  Fixes from Ville Skyttä
    Bad file permissions
    Unknown directories
    %%doc fixes
  Fixes from Toshio Kuratomi
    Update the BuildRequires
    Changed BuildRequires on gnome-panel to gnome-panel-devel
    Add Requires for python-abi

* Mon Oct  4 2004 GNOME <jrb@redhat.com> - 2.6.0-2
- fix gtkhtml2 to work in a lot of cases, #147404

* Mon Oct  4 2004 GNOME <jrb@redhat.com> - 2.6.0-1
- new version

* Wed Jul 14 2004 Jeremy Katz <katzj@redhat.com> - 2.0.2-1
- update to 2.0.2

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue Mar 02 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Thu Dec 11 2003 Matt Wilson <msw@redhat.com> 2.0.0-3
- added BuildRequries: pyorbit-devel (#108566)

* Thu Nov  6 2003 Jeremy Katz <katzj@redhat.com> 2.0.0-3
- python 2.3

* Sun Oct 19 2003 Florian La Roche <Florian.LaRoche@redhat.de>
- add a %%clean specfile target

* Thu Oct  2 2003 Matt Wilson <msw@redhat.com> 2.0.0-2
- fix segv in gnome.ui.About() (#104396)

* Thu Sep  4 2003 Jeremy Katz <katzj@redhat.com> 2.0.0-1
- 2.0.0

* Wed Aug 20 2003 Jeremy Katz <katzj@redhat.com> 1.99.16-1
- update to 1.99.16
- add gnomeprint subpackage
- don't double include the gnome-vfs module (#102074)

* Tue Aug  5 2003 Elliot Lee <sopwith@redhat.com> 1.99.14-7
- Fix libtool

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Thu Feb  6 2003 Matt Wilson <msw@redhat.com> 1.99.14-5
- added a trigger to remove left-over bonobo .pyc and .pyo files (#79652)

* Thu Feb  6 2003 Mihai Ibanescu <misa@redhat.com> 1.99.14-4
- rebuilt against new python

* Tue Jan 28 2003 Jeremy Katz <katzj@redhat.com> 1.99.14-3
- libdir-ify

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Fri Dec 27 2002 Jeremy Katz <katzj@redhat.com> 1.99.14-1
- update to 1.99.14

* Fri Dec 13 2002 Jeremy Katz <katzj@redhat.com>
- update to 1.99.13
- add gnomevfs subpackage

* Thu Oct 31 2002 Matt Wilson <msw@redhat.com>
- use %%configure

* Wed Oct 30 2002 Matt Wilson <msw@redhat.com>
- add gnome-python-2.0.pc to file list

* Wed Aug 28 2002 Matt Wilson <msw@redhat.com>
- bind gnome_client_set_*_command

* Wed Aug 28 2002 Tim Powers <timp@redhat.com>
- rebuilt

* Tue Aug 20 2002 Matt Wilson <msw@redhat.com>
- obsolete pygtk-applet (#69830)

* Thu Aug  1 2002 Jonathan Blandford <jrb@redhat.com>
- make the GnomeDruid's fields accessible from python

* Tue Jul 30 2002 Matt Wilson <msw@redhat.com>
- official 1.99.11 release

* Thu May 30 2002 Matt Wilson <msw@redhat.com>
- s/Gconf/GConf/

* Thu May 30 2002 Jeremy Katz <katzj@redhat.com>
- add gtkhtml2 and gconf subpackages

* Wed May 29 2002 Bill Nottingham <notting@redhat.com>
- add some defattrs

* Fri May 24 2002 Matt Wilson <msw@redhat.com>
- added bonobo, nautilus subpackages.  re-enabled applet subpackage

* Mon Nov 26 2001 Matt Wilson <msw@redhat.com>
- subpackages will need __init__ included in them

* Thu Oct 18 2001 Matt Wilson <msw@redhat.com>
- doesn't obsolete pygnome - it can be installed side-by-side
- added _gnomemodule.so to base package filelist

* Mon Oct 15 2001 Matt Wilson <msw@redhat.com>
- added __init__ files to gnome-python main package

* Mon Oct  8 2001 Matt Wilson <msw@redhat.com>
- new gnome-python package based on old pygtk package.
